Public API: a raster map tile (metered)
const url = 'https://api.tareky.com/v1/tiles/light/13/5105/3290%402x.webp?lang=ar';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tareky.com/v1/tiles/light/13/5105/3290%402x.webp?lang=ar' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Example
13Example
5105Example
3290@2x.webp{y} with an optional @2x and format extension
Query Parameters
Section titled “Query Parameters”Header Parameters
Section titled “Header Parameters”Legacy key id (until its sunset)
Responses
Section titled “Responses”The tile, in the format the {y} extension chose
Rate limit or monthly quota exceeded; see Retry-After
object
object
Stable machine-readable code, e.g. quota_exceeded, no_route
For invalid_request: the validation issues
object
object
Stable machine-readable code, e.g. quota_exceeded, no_route
For invalid_request: the validation issues
object
object
Stable machine-readable code, e.g. quota_exceeded, no_route
For invalid_request: the validation issues
default
Section titled “default”Any other error, in the /v1 error envelope
object
object
Stable machine-readable code, e.g. quota_exceeded, no_route
For invalid_request: the validation issues
object
object
Stable machine-readable code, e.g. quota_exceeded, no_route
For invalid_request: the validation issues
object
object
Stable machine-readable code, e.g. quota_exceeded, no_route
For invalid_request: the validation issues